(function () {
    'use strict';

    var cssShippingAdminClass = function (options) {
        this.init(options);
    };

    cssShippingAdminClass.VERSION = '2.0.0';
    cssShippingAdminClass.DEFAULTS = { 
  			showDebug : true
    };

    cssShippingAdminClass.prototype = {

        constructor: cssShippingAdminClass,

        init: function (options) {
            this.options = $.extend({}, cssShippingAdminClass.DEFAULTS, options);
            var that = this;
						that.apitest();
						that.bulkyGoods();
        },

        register: function(options) {
        	var that=this;
        	this.debug("ich starte cssShippingAdminClass.VERSION " +  this.__proto__.constructor.VERSION);
        },
        
        debug: function(s) {
        	if(this.options.showDebug) {
        		console.log(s);
        	}
        },

        _set: function(key,value) {
        	this.options.key = value;
        },

				handleBulkyGoodsButtons: function() {
					if($(".css-spedition").length==1) {
						$(".removeBulkyGoods").attr("disabled",true);
					} else {
						$(".removeBulkyGoods").attr("disabled",false);
					}
				},
				bulkyGoods: function() {
					var that=this;
					$(document).on("click", ".addBulkyGoods", function() {
						var el = $(this).closest(".css-spedition").clone();
						$(el).insertAfter($(this).closest(".css-spedition"));
						that.handleBulkyGoodsButtons();
					});

					$(document).on("click", ".removeBulkyGoods", function() {
 						$(this).closest(".css-spedition").remove();
						 that.handleBulkyGoodsButtons();
					});

					$(document).on("click", ".resetBulkyGoods", function() {
 						$(this).closest(".css-spedition").find("input").each(function() {
							$(this).val("");
						});
					});
				},

				apitest: function() {
					var that = this;
					$(document).on("click", "[data-section]", function() {
						var data = "io=css_shipping" + "&jtl_token=" + $(this).closest("form").data("session") + "&action=docu&section=" + $(this).data('section') ;
						var url = $(this).closest("form").data("io");
						that.post_data(url,data);
					});

					$(document).on("click", "#apitest", function() {
						console.log("wurde geklickt");
						var data = "io=css_shipping&action=testAPI&jtl_token=" + $(this).closest("form").data("session") + "&key=" + $("[name=\"googleAPI\"]").val();
						var url = $(this).closest("form").data("io");
						that.post_data(url,data);
					});
				},

        post_data: function (url, data) {
        	var that = this;
					that.debug(url);
	      	jQuery.ajax({
					type: 'POST',
					url: url,
					data: data,
					showNoSuggestionNotice: true,
					dataType: 'json',
			    beforeSend: function(jqXHR) {
		        jqXHR.overrideMimeType('text/json;charset=iso-8859-1');
			    },
					success: function(data,responseText,jqXHR) {
						if( jqXHR.status == 204 ) {
							that.debug('sorry, here is nothing to do for me. (Token problem?)')
							return false;
						}
						if( jqXHR.status == 404 ) {
							that.debug('sorry, here is nothing to show you.')
							return false;
						}
						if( jqXHR.status == 403 ) {
							that.debug('sorry, this is no place for you.')
							return false;
						}
						//debug(data);
						if( data.script )	{
							eval(data.script);
						}
					},
					error: function() {
						that.debug('something is wrong....anything buggy?');
					},
					complete: function() {
					}
			});
		},
   };

    $.cssShippingAdmin = function(options) {
    	console.log("starte cssShipping");
    	$.cssShippingAdmin = new cssShippingAdminClass(options);
    	$.cssShippingAdmin.register();
    	return $.cssShippingAdmin;
    };
    $.cssShippingAdmin();
})(jQuery);


