{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />


    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
{*
                <Option {if $pluginConfig->pluginActive=='A'} selected {/if} value="A">{__('nur für Admin sichtbar')}</Option>
*}
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append" data-section="plugin">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Globale Versandoptionen')}</legend>
        <p><small>Globale Konfiguration (Diese Konfiguration beinhaltet die default Werte für <strong>alle</strong> hier konfigurierten Versandarten.)</small></p>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Google API Key')}</span>
            </div>
            <input type="text" name="googleAPI" class="form-control " value="{if isset($pluginConfig->googleAPI)}{$pluginConfig->googleAPI}{else}{/if}" placeholder="{__('API KEY nur für Distanzberechnung erforderlich')}">
            <div class="input-group-append" >
                <span class="input-group-ext">
                    <button name="a" type="button" id="apitest" value="" class="btn btn-success btn-block save" style="border-radius:0;  box-shadow:none;">
                        <i class="fas fa-save"></i>&nbsp;{__('API Key testen')}
                    </button>
                </span>
            </div>
            <div class="input-group-append"  data-section="google">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie hier den Google API key ein wenn Sie eine Distanzberechnung benötigen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Mindermengenzuschlag bis Netto Warenwert')}</span>
            </div>
            <input type="text" name="global_minimumOrderValue" class="form-control " value="{if isset($pluginConfig->global_minimumOrderValue)}{$pluginConfig->global_minimumOrderValue}{else}{/if}" placeholder="{__('Betrag in Euro')}">
            <div class="input-group-append" data-section="mindermenge_warenwert">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Es wird ein ZUschlag berechnet sobal der angebene Betrag noch nicht erreicht ist. (Es wird der reine Warenwert beachtet).')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
<hr>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Mindermengenzuschlag Netto')}</span>
            </div>
            <input type="text" name="global_minimumQuantitySurcharge" class="form-control " value="{if isset($pluginConfig->global_minimumQuantitySurcharge)}{$pluginConfig->global_minimumQuantitySurcharge}{else}{/if}" placeholder="{__('Betrag in Euro')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Der Betrag der hinzugerechnet werden soll als Netto Betrag, der Steuersatz und die Währung wird automatisch angepasst.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Paletten / Pfand Funktion nutzen')}</span>
            </div>
            <select id="paletteFunction" name="paletteFunction" class="form-control">
                <Option {if $pluginConfig->paletteFunction=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->paletteFunction=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append" data-section="pfand">
                <span class="input-group-text">
                    <span  data-html="true" data-toggle="tooltip" data-placement="left" title=""
                           data-original-title="{__('Paletten oder Pfand Funktion nutzen')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Steuerberechnung ')}</span>
            </div>
            <select id="global_minimumQuantityVatSurcharge" name="global_minimumQuantityVatSurcharge" class="form-control">
                {foreach from=$taxClasses item=item }
                    <option {if $pluginConfig->global_minimumQuantityVatSurcharge == $item->kSteuerklasse} selected="selected" {/if} value="{$item->kSteuerklasse}">{$item->cName}</option>
                {/foreach}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie hier die zu berechnende Steuerklasse ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="CU">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor f&uuml;r die Anzeige in der Artikel Detailseite')}</span>
            </div>
            <input type="text" name="selector" class="form-control" value="{$pluginConfig->selector}" placeholder="{__('.product-offer >.price_wrapper')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position" name="selector_position" class="form-control">
                <Option {if $pluginConfig->selector_position=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Zusätzliche Styles/ JavaScript')}</legend>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <textarea style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <textarea style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf zusätzliches JavaScript anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

