{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}


<fieldset class="border p-2 form-group">
    <legend class="w-auto">{__('Plugin Konfiguration')}</legend>
    <form method="post" action="{$oCssPlugin->getPluginLink()}"  data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
        {$jtl_token}
        <input type="hidden" name="cssAdminShippingAction" value="editConfig" />

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Versandart')}</span>
            </div>
            <select name="kVersandart" class="form-control" onchange="$(this).closest('form').submit()">
                <option value="0">{__("Bitte wählen")}</option>
                {foreach $aShippingmethods as $oShippingmethod}
                    <Option class="{if $oShippingmethod->configured}configured{/if}"{if $oShippingmethod->kVersandart== $kUsedShippingmethod} selected {/if} value="{$oShippingmethod->kVersandart}">{$oShippingmethod->cName}</Option>
                {/foreach}
            </select>
            <div class="input-group-append" data-section="versandart">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                              data-original-title="{__('Bitte wählen Sie die zu modifizierende Versandart')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
            </div>
        </div>
    </form>

    <!-- ab hier kommen die individuellen Einstellungen -->
</fieldset>


{if $kUsedShippingmethod}

<fieldset class="border p-2 form-group">
    <legend class="w-auto">{__('Plugin Konfiguration')}</legend>
    <form method="post"  action="{$oCssPlugin->getPluginLink("kVersandart={$kUsedShippingmethod}")}"  data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
        {$jtl_token}
        <input type="hidden" name="kVersandart" value="{$kUsedShippingmethod}">

{* Konfiguration der Wochentage *}

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Versandart ist')}</span>
            </div>
            <select id="isActive" name="isActive" class="form-control">
                <Option {if !empty($oShippingConfig->isActive) && $oShippingConfig->isActive=='Y'} selected {/if} value="Y">{__('aktiv')}</Option>
                <Option {if !empty($oShippingConfig->isActive) && $oShippingConfig->isActive=='N'} selected {/if} value="N">{__('deaktiviert')}</Option>
            </select>
            <div class="input-group-append" data-section="active">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Gibt an ob die Versandart derzeit ausgewählt werden darf.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3 day-config" >
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Aktive Tage für diese Versandart')}</span>
            </div>
            <div class="input-group-prepend days">
                <input id="opendays1" type="checkbox" name="openDays[]" value="1" {if empty($oShippingConfig->id) || in_array(1,$oShippingConfig->openDays)}checked{/if} style="display:none;">
                    <label for="opendays1" class="col btn btn-primary">
                        Mon
                    </label>
            </div>
            <div class="input-group-prepend days">
                <input id="opendays2" type="checkbox" name="openDays[]" value="2" {if empty($oShippingConfig->id) || in_array(2,$oShippingConfig->openDays)}checked{/if} style="display:none;">
                    <label for="opendays2" class="col btn btn-info">
                        Tue
                    </label>
            </div>
            <div class="input-group-prepend days">
                <input id="opendays3" type="checkbox" name="openDays[]" value="3" {if empty($oShippingConfig->id) || in_array(3,$oShippingConfig->openDays)}checked{/if} style="display:none;">
                    <label for="opendays3" class="col btn btn-default">
                        Wed
                    </label>
            </div>
            <div class="input-group-prepend days">
                <input id="opendays4" type="checkbox" name="openDays[]" value="4" {if empty($oShippingConfig->id) || in_array(4,$oShippingConfig->openDays)}checked{/if} style="display:none;">
                    <label for="opendays4" class="col btn btn-warning">
                        Thu
                    </label>
            </div>
            <div class="input-group-prepend days">
                <input id="opendays5" type="checkbox" name="openDays[]" value="5" {if empty($oShippingConfig->id) || in_array(5,$oShippingConfig->openDays)}checked{/if} style="display:none;">
                    <label for="opendays5" class="col btn btn-success">
                        Fri
                    </label>
            </div>
            <div class="input-group-prepend days">
                <input id="opendays6" type="checkbox" name="openDays[]" value="6" {if empty($oShippingConfig->id) || in_array(6,$oShippingConfig->openDays)}checked{/if} style="display:none;">
                    <label for="opendays6" class="col btn btn-danger">
                        Sat
                    </label>
            </div>
            <div class="input-group-prepend days">
                <input id="opendays7" type="checkbox" name="openDays[]" value="7" {if empty($oShippingConfig->id) || in_array(7,$oShippingConfig->openDays)}checked{/if} style="display:none;">
                    <label for="opendays7" class="col btn btn-danger">
                        Son
                    </label>
            </div>
            <div class="input-group-append" data-section="wochentage">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>

        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Individuelle zusätzlich gesperrte Tage')}</span>
            </div>
            <input type="text" name="closedDays" class="form-control calendar" value="{if !empty($oShippingConfig->closedDays)}{$oShippingConfig->closedDays}{/if}" placeholder="{__('Weitere Tage geben Sie bitte mit einem komma getrennt ein.')}">
            <div class="input-group-append"   data-section="tage">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie bitte die Uhrzeit ein, bis wann diese Versandart an den aktiven Tagen zur Verfügung steht')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('An aktiven Tagen Nur möglich bis (Uhrzeit)')}</span>
            </div>
            <input type="text" name="closedTimeStart" class="form-control" value="{if !empty($oShippingConfig->closedTimeStart)}{$oShippingConfig->closedTimeStart}{/if}" placeholder="{__('Bitte geben Sie eine Uhrzeit im Format hh:mm (15:30) ein.')}">
            <div class="input-group-append" data-section="uhrzeit">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie bitte die Uhrzeit ein, bis wann diese Versandart an den aktiven Tagen zur Verfügung steht')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
<hr>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Überverkäufe erlauben')}</span>
            </div>
            <select id="overselling" name="overselling" class="form-control">
                <Option {if !empty($oShippingConfig->overselling) && $oShippingConfig->overselling=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if !empty($oShippingConfig->overselling) && $oShippingConfig->overselling=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append" data-section="itemDependent">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Überverkäufe in dieser Versandart erlauben.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Warenlager Bestand beachten')}</span>
            </div>
            <select id="kWarenlager" name="kWarenlager" class="form-control">
                <option value="0">Bitte wählen</option>
                {foreach $aWarenlager as $lager}
                    <Option {if !empty($oShippingConfig->kWarenlager) && $oShippingConfig->kWarenlager==$lager->kWarenlager} selected {/if} value="{$lager->kWarenlager}">{$lager->cName}</Option>
                {/foreach}
            </select>
            <div class="input-group-append" data-section="warenlager">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Die Versandart ist nur wählbar, wenn in dem Warenlager ein Bestand vorhanden ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Folgende Warengruppen nur bedingt prüfen.')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="groupsNoCheck" name="groupsNoCheck[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach from=$aGroupsNoCheck item=oItem name="groupsNoCheck"}
                        <option value="{$oItem->kWarengruppe}" {if in_array($oItem->kWarengruppe,$oShippingConfig->groupsNoCheck)}selected="selected"{/if}>{$oItem->cName}</option>
                    {/foreach}
                </select></div>
            <div class="input-group-append" data-section="groupsNoCheck">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Die hier eingetragenen Warengruppen werden gesondert behandelt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3" style="margin-top:calc(-1rem - 3px);">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Folgende Prüfungen für die aktivierten Warengruppen ausschließen')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="groupsNoCheckTests" name="groupsNoCheckTests[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach $aGroupsNoCheckTests as $key => $value }
                        <option value="{$key}" {if in_array($key,$oShippingConfig->groupsNoCheckTests)}selected="selected"{/if}>{$value}</option>
                    {/foreach}
                </select></div>
            <div class="input-group-append" data-section="groupsNoCheck">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Die hier eingetragenen Warengruppen werden im Warenkorb nicht geprüft.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3" style="margin-top:-1.1rem;">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Komponenten von Konfigurationen')}</span>
            </div>
            <select id="checkConfigItems" name="checkConfigItems" class="form-control">
                <Option {if !empty($oShippingConfig->checkConfigItems) && $oShippingConfig->checkConfigItems=='Y'} selected {/if} value="Y">{__('werden auch geprüft')}</Option>
                <Option {if !empty($oShippingConfig->checkConfigItems) && $oShippingConfig->checkConfigItems=='N'} selected {/if} value="N">{__('werden nicht geprüft')}</Option>
            </select>
            <div class="input-group-append" data-section="coupon">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Versandfreie Coupons in dieser Versandart zulassen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Lieferantenbestand einbeziehen')}</span>
            </div>
            <select id="supplierWarehouse" name="supplierWarehouse" class="form-control">
                <Option {if !empty($oShippingConfig->supplierWarehouse) && $oShippingConfig->supplierWarehouse=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if !empty($oShippingConfig->supplierWarehouse) && $oShippingConfig->supplierWarehouse=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append" data-section="lieferantenbestand">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bestimmt ob der Bestand der Lieferanten als verfügbarer Lagerbestand gewertet wird.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Versandfreie Coupons erlauben')}</span>
            </div>
            <select id="closedByKupon" name="closedByKupon" class="form-control">
                <Option {if !empty($oShippingConfig->closedByKupon) && $oShippingConfig->closedByKupon=='N'} selected {/if} value="N">{__('Ja')}</Option>
                <Option {if !empty($oShippingConfig->closedByKupon) && $oShippingConfig->closedByKupon=='Y'} selected {/if} value="Y">{__('Nein')}</Option>
            </select>
            <div class="input-group-append" data-section="coupon">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Versandfreie Coupons in dieser Versandart zulassen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>

        <div class="input-group mb-3" >
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Regel für Mindestabmessung')}</span>
            </div>
            <select id="minForAll" name="minForAll" class="form-control">
                <Option {if !empty($oShippingConfig->minForAll) && $oShippingConfig->minForAll=='Y'} selected {/if} value="Y">{__('Kein Artikel darf unter diesem Wert sein')}</Option>
                <Option {if !empty($oShippingConfig->minForAll) && $oShippingConfig->minForAll=='N'} selected {/if} value="N">{__('Es reicht wenn ein Artikel das Mindestmaß hat')}</Option>
            </select>
            <div class="input-group-append" data-section="coupon">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Regel für das Mindestmaß')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3" style="margin-top:-1.1rem;">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Minimale Abmessung der Artikel<br><small>(Länge/Breite/Höhe)</small>')}</span>
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="minWidth" class="form-control " value="{if isset($oShippingConfig->minWidth) && $oShippingConfig->minWidth>0}{$oShippingConfig->minWidth}{else}{/if}" placeholder="{__('Länge in cm')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="minBroad" class="form-control " value="{if isset($oShippingConfig->minBroad) && $oShippingConfig->minBroad>0}{$oShippingConfig->minBroad}{else}{/if}" placeholder="{__('Breite in cm')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="minHeight" class="form-control " value="{if isset($oShippingConfig->minHeight) && $oShippingConfig->minHeight>0}{$oShippingConfig->minHeight}{else}{/if}" placeholder="{__('Höhe in cm')}">
            </div>

            <div class="input-group-append"  data-section="abmessung">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Sobald ein Artikel die minimalen Werte unterschritten werden wird diese Versandart gesperrt')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3 css-group">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Maximale Abmessung der Artikel<br><small>(Länge/Breite/Höhe)</small>')}</span>
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="maxWidth" class="form-control " value="{if isset($oShippingConfig->maxWidth) && $oShippingConfig->maxWidth>0}{$oShippingConfig->maxWidth}{else}{/if}" placeholder="{__('Länge in cm')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="maxBroad" class="form-control " value="{if isset($oShippingConfig->maxBroad) && $oShippingConfig->maxBroad>0}{$oShippingConfig->maxBroad}{else}{/if}" placeholder="{__('Breite in cm')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="maxHeight" class="form-control " value="{if isset($oShippingConfig->maxHeight) && $oShippingConfig->maxHeight>0}{$oShippingConfig->maxHeight}{else}{/if}" placeholder="{__('Höhe in cm')}">
            </div>

            <div class="input-group-append"  data-section="abmessung">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Sobald ein Artikel die maximalen Werte überschreitet wird diese Versandart gesperrt')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gewicht in kg<br>(minimal / maximal)')}</span>
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="minWeight" class="form-control " value="{if isset($oShippingConfig->minWeight) && $oShippingConfig->minWeight>0}{$oShippingConfig->minWeight}{else}{/if}" placeholder="{__('Min. Gewicht in kg')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="maxWeight" class="form-control " value="{if isset($oShippingConfig->maxWeight) && $oShippingConfig->maxWeight>0}{$oShippingConfig->maxWeight}{else}{/if}" placeholder="{__('Max. Gewicht in kg')}">
            </div>

            <div class="input-group-append"  data-section="gewicht">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie hier das Mindest und Maximale Gewicht ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Bestellwert<br>(minimal / maximal)')}</span>
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="minimumQuantitySurcharge" class="form-control " value="{if isset($oShippingConfig->minimumQuantitySurcharge) && $oShippingConfig->minimumQuantitySurcharge>0}{$oShippingConfig->minimumQuantitySurcharge}{else}{/if}" placeholder="{__('Min. Nettowert')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="maximumQuantitySurcharge" class="form-control " value="{if isset($oShippingConfig->maximumQuantitySurcharge) && $oShippingConfig->maximumQuantitySurcharge>0}{$oShippingConfig->maximumQuantitySurcharge}{else}{/if}" placeholder="{__('Max. Nettowert')}">
            </div>

            <div class="input-group-append"  data-section="bestellwert">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Diese Einträge dienen der Entfernungsberechnung')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Preis in Netto')}</span>
            </div>
            <div class="input-group-prepend days">
              <input type="text" name="minShippingPrice" class="form-control " value="{if isset($oShippingConfig->minShippingPrice) && $oShippingConfig->minShippingPrice>0}{$oShippingConfig->minShippingPrice}{else}{/if}" placeholder="{__('Mindest Versandkostenpreis')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="maxShippingPrice" class="form-control " value="{if isset($oShippingConfig->maxShippingPrice) && $oShippingConfig->maxShippingPrice>0}{$oShippingConfig->maxShippingPrice}{else}{/if}" placeholder="{__('Maximaler Versandkostenpreis')}">
            </div>
            <div class="input-group-append" data-section="mindestpreis">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Mindest Versandkostenpreis.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Gestaffelte Versandkosten (Warenwert/Versandkosten)')}</span>
            </div>
            <input type="text" name="bulkPrice" class="form-control " value="{if !empty($oShippingConfig->bulkPrice) && $oShippingConfig->bulkPrice!=''}{$oShippingConfig->bulkPrice}{else}{/if}" placeholder="{__('Beispiel: 300:4.95;400:1.95')}">
            <div class="input-group-append"  data-section="bulkPrice">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie hier einen prozentualen Wert ein, werden die Versandkosten anhand des Netto Warenwertes berechnet.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Versandkosten abhängig vom Warenwert in %')}</span>
            </div>
            <input type="text" name="markUpInPercent" class="form-control " value="{if isset($oShippingConfig->markUpInPercent) && $oShippingConfig->markUpInPercent>0}{$oShippingConfig->markUpInPercent}{else}{/if}" placeholder="{__('Prozentualer Wert oder Staffelung')}">
            <div class="input-group-append"  data-section="warenwert">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie hier einen prozentualen Wert ein, werden die Versandkosten anhand des Netto Warenwertes berechnet.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Artikelabhängige Versandkosten')}</span>
            </div>
            <select id="itemDependent" name="itemDependent" class="form-control">
                <Option {if !empty($oShippingConfig->itemDependent) && $oShippingConfig->itemDependent=='Y'} selected {/if} value="Y">{__('berechnen')}</Option>
                <Option {if !empty($oShippingConfig->itemDependent) && $oShippingConfig->itemDependent=='N'} selected {/if} value="N">{__('nicht berechnen')}</Option>
            </select>
            <div class="input-group-append" data-section="itemDependent">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Artikelabhängige Versandkosten beachten/nicht beachten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>

        {if !empty($oShippingConfig->bulkyGoods) && count($oShippingConfig->bulkyGoods)==1}
            {$disabled = " disabled='disabled' "}
        {else}
            {$disabled =""}
        {/if}
        {if !empty($oShippingConfig->bulkyGoods)}
            {$bulky =$oShippingConfig->bulkyGoods}
        {else}
            {$bulky = [1]}
        {/if}
    {foreach $bulky as $bulkyGoods}
        <div class="css-spedition">
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Speditionsversand<br>(PLZ / Ländercode / Preis je Km)')}</span>
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="bulkyGoods[zipCode][]" class="form-control "
                       value="{if isset($bulkyGoods->zipCode)}{$bulkyGoods->zipCode}{else}{/if}" placeholder="{__('Postleitzahl')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="bulkyGoods[country][]" class="form-control "
                       value="{if isset($bulkyGoods->country)}{$bulkyGoods->country}{else}{/if}" placeholder="{__('Ländercode z.b.: DE')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="bulkyGoods[mileageAllowance][]" class="form-control "
                       value="{if isset($bulkyGoods->mileageAllowance) && $bulkyGoods->mileageAllowance>0}{$bulkyGoods->mileageAllowance}{else}0.00{/if}" placeholder="{__('Preis je Km')}">
            </div>

            <div class="input-group-append"  data-section="spedition">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Diese Einträge dienen der Entfernungsberechnung')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3 css-group">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Speditionsversand Entfernungsbereich<br>(Min / Max)')}</span>
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="bulkyGoods[minMiles][]" class="form-control "
                       value="{if isset($bulkyGoods->minMiles) && $bulkyGoods->minMiles>0}{$bulkyGoods->minMiles}{else}0{/if}" placeholder="{__('Min. Entfernung in Km')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="bulkyGoods[maxMiles][]" class="form-control "
                       value="{if isset($bulkyGoods->maxMiles) && $bulkyGoods->maxMiles>0}{$bulkyGoods->maxMiles}{else}unbegrenzt{/if}" placeholder="{__('Max. Entfernung in Km')}">
            </div>

            <div class="input-group-append"  data-section="spedition">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier können Sie die minimale und maximale Entferung für diese Versandart angeben.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3 css-group">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Grundpreis bis xx Km')}</span>
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="bulkyGoods[basicMilesPrice][]" class="form-control "
                       value="{if isset($bulkyGoods->basicMilesPrice) && $bulkyGoods->basicMilesPrice>0}{$bulkyGoods->basicMilesPrice}{else}0{/if}" placeholder="{__('Basis Preis')}">
            </div>
            <div class="input-group-prepend days">
                <input type="text" name="bulkyGoods[basicMiles][]" class="form-control "
                       value="{if isset($bulkyGoods->basicMiles) && $bulkyGoods->basicMiles>0}{$bulkyGoods->basicMiles}{else}0{/if}" placeholder="{__('bis xx Km')}">
            </div>

            <div class="input-group-append"  data-section="km_grundpreis">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie bitte den Pauschalbetrag für die ersten X Km ein sofern Sie diese Option nutzen möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    <div class="input-group mb-3 css-group">
        <div class="input-group-prepend">
            <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hinzufügen / Löschen')}</span>
        </div>
        <div class="input-group-prepend days" style="flex:1 0 auto">
            <button class="btn btn-danger removeBulkyGoods" {$disabled} type="button" title="Eintrag löschen" style="width:100%"><i class="fa fa-minus"></i></button>
        </div>
        <div class="input-group-prepend days" style="flex:1 0 auto">
            <button class="btn btn-success addBulkyGoods" type="button" title="Eintrag kopieren" style="width:100%"><i class="fa fa-plus"></i></button>
        </div>
        <div class="input-group-prepend days" style="flex:1 0 auto">
            <button class="btn btn-info resetBulkyGoods" type="button" title="Eintrag zurücksetzen" style="width:100%"><i class="fa fa-undo"></i></button>
        </div>

        <div class="input-group-append"  data-section="add_spedition">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Kopieren oder löschen der Konfiguration')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
        </div>
    </div>
        </div>
    {/foreach}

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Versandart für folgende Postleitzahlen ausschließen')}</span>
            </div>
            <textarea style="min-height:400px" id="disabledPLZ" class="form-control" name="disabledPLZ">{if !empty($oShippingConfig->disabledPLZ)}{$oShippingConfig->disabledPLZ}{/if}</textarea>
            <div class="input-group-append"  data-section="disablePLZ">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie bitte hier die Postleitzahlen, kommagetrennt ein, die nicht erlaubt sind.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="save-wrapper row">
            <div class="col-sm-6 col-xl-auto text-left">
                <button name="cssAdminShipingAction" type="submit" value="deleteShippingConfig" class="btn btn-outline-danger btn-block save">
                    <i class="fas fa-trash"></i>&nbsp;{__('Konfiguration löschen')}
                </button>
            </div>
            <div class="ml-auto col-sm-6 col-xl-auto text-right">
                <button name="cssAdminShipingAction" type="submit" value="saveShippingConfig" class="btn btn-outline-primary btn-block save">
                    <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
                </button>
            </div>
        </div>


    </form>
</fieldset>
{/if}